import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
// (C) 2021-2025 GoodData Corporation
import { useIntl } from "react-intl";
export function HeaderUpsellButton({ onUpsellButtonClick }) {
    const intl = useIntl();
    return (_jsxs("button", { className: "gd-button-small gd-button-primary gd-upsell-button", onClick: onUpsellButtonClick, children: [
            _jsx("i", { className: "gd-icon-star" }), _jsx("span", { className: "gd-upgrade-button-text", children: intl.formatMessage({ id: "gs.header.upsellButtonText" }) })
        ] }));
}
